;===============================================================================
;
; Description:      Draw gradient "control"
; Parameter(s):     Start color, end color, x and y position, optional - height and width
; Requirement(s):   Autoit 3.103
; Return Value(s):  None
; Author(s):        YDY (Lazycat)
; Version:          1.0
; Date:             21.03.2005
;
;===============================================================================

#include-once
#include <Color.au3>

; For Autoit 3.103 - should be abandoned with 3.104 release
Func _GUICtrlCreateGradient($nStartColor, $nEndColor, $nX, $nY, $nWidth = 255, $nHeight = 20)
    Local $sColor
    Local $colorR = _ColorGetRed($nStartColor)
    Local $colorG = _ColorGetGreen($nStartColor)
    Local $colorB = _ColorGetBlue($nStartColor)

    Local $nStepR = (_ColorGetRed($nEndColor) - $colorR) / $nWidth
    Local $nStepG = (_ColorGetGreen($nEndColor) - $colorG) / $nWidth
    Local $nStepB = (_ColorGetBlue($nEndColor) - $colorB) / $nWidth

    For $i = 0 To $nWidth - $nX
        $sColor = StringFormat("0x%02X%02X%02X", $colorR+$nStepR*$i, $colorG+$nStepG*$i, $colorB+$nStepB*$i)
        GUICtrlCreateLabel("", $nX + $i, $nY, 1, $nHeight)
        GUICtrlSetBkColor(-1, $sColor)
        GUICtrlSetState(-1, 128) ; $GUI_DISABLE
    Next
EndFunc


